Import manifest
1 min
POST
/_cms/v1/manifest
Header Parameters
- cms-ignore-data-loss-warningsbooleanDescriptionDefaultfalse
Body Parameters
- bodyManifestrequiredDescription
- localesLocale[]Description
- keystringrequiredDescriptionMin Length1
- displayNamestringrequiredDescriptionMin Length1Max Length255
- isEnabledbooleanDescription
- routeSegmentstringrequiredDescriptionMin Length1Max Length255
- sortOrderinteger<int32>DescriptionFormatint32
- accessRightsSecurityIdentity[]Description
- namestringrequiredDescriptionMin Length1Max Length255
- typestring<user | role | application>DescriptionAlloweduserroleapplication
- createdstring<date-time>DescriptionFormatdate-time
- createdBystringDescription
- lastModifiedstring<date-time>Formatdate-time
- lastModifiedBystringDescription
- propertyGroupsPropertyGroup[]Description
- keystringrequiredDescriptionMin Length2Max Length255Pattern^[A-Za-z][_0-9A-Za-z]+$
- displayNamestringrequiredDescriptionMin Length1Max Length255
- sourcestringDescription
- sortOrderinteger<int32>DescriptionFormatint32
- createdstring<date-time>DescriptionFormatdate-time
- createdBystringDescription
- lastModifiedstring<date-time>Formatdate-time
- lastModifiedBystringDescription
- contentTypesContentType[]Description
- keystringDescriptionMin Length2Max Length255Pattern^[A-Za-z][_0-9A-Za-z]+$
- displayNamestringrequiredDescriptionMin Length1Max Length255
- descriptionstringDescriptionMax Length255
- baseTypestringDescription
- isContractbooleanDescription
- sourcestringDescription
- sortOrderinteger<int32>DescriptionFormatint32
- mayContainTypesstring[]Description
- mediaFileExtensionsstring[]Description
- compositionBehaviorsstring[]Description
- contractsstring[]Description
- createdstring<date-time>DescriptionFormatdate-time
- createdBystringDescription
- lastModifiedstring<date-time>DescriptionFormatdate-time
- lastModifiedBystringDescription
- propertiesmap<string, ContentTypeProperty>Description
- accessRightsSecurityIdentity[]Description
- namestringrequiredDescriptionMin Length1Max Length255
- typestring<user | role | application>DescriptionAlloweduserroleapplication
- displayTemplatesDisplayTemplate[]Description
- keystringDescriptionMin Length2Max Length255Pattern^[A-Za-z][_0-9A-Za-z]+$
- displayNamestringrequiredDescriptionMin Length1Max Length255
- nodeTypestringDescriptionMin Length2Max Length50Pattern^[A-Za-z][_0-9A-Za-z]+$
- baseTypestringDescription
- contentTypestringDescription
- isDefaultbooleanDescription
- createdstring<date-time>DescriptionFormatdate-time
- createdBystringDescription
- lastModifiedstring<date-time>DescriptionFormatdate-time
- lastModifiedBystringDescription
- settingsmap<string, DisplaySetting>Description
- lastModifiedstring<date-time>DescriptionFormatdate-time
Responses
200
- ManifestImportResultDescription
- outcomesManifestImportMessage[]Description
- sectionstringDescription
- messagestringDescription
- resourcestringDescription
- errorsManifestImportMessage[]Description
- sectionstringDescription
- messagestringDescription
- resourcestringDescription
202
400
401
403
409
500
curl
curl --request POST \
--url /_cms/v1/manifest \
--header 'accept: application/json' \
--header 'content-type: application/json' \
--data '{
"locales": [
{
"key": "",
"displayName": "",
"routeSegment": "",
"accessRights": [
{
"name": ""
}
]
}
],
"propertyGroups": [
{
"key": "",
"displayName": ""
}
],
"contentTypes": [
{
"displayName": "",
"accessRights": [
{
"name": ""
}
]
}
],
"displayTemplates": [
{
"displayName": ""
}
]
}'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/json");
myHeaders.append("content-type", "application/json");
var raw = JSON.stringify({
"locales": [
{
"key": "",
"displayName": "",
"routeSegment": "",
"accessRights": [
{
"name": ""
}
]
}
],
"propertyGroups": [
{
"key": "",
"displayName": ""
}
],
"contentTypes": [
{
"displayName": "",
"accessRights": [
{
"name": ""
}
]
}
],
"displayTemplates": [
{
"displayName": ""
}
]
});
var requestOptions = {
method: 'POST',
headers: myHeaders,
body: raw,
redirect: 'follow'
};
fetch("/_cms/v1/manifest", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "json"
require "net/http"
url = URI("/_cms/v1/manifest")
http = Net::HTTP.new(url.host, url.port);
request = Net::HTTP::Post.new(url)
request["accept"] = "application/json"
request["content-type"] = "application/json"
request.body = JSON.dump({
"locales": [
{
"key": "",
"displayName": "",
"routeSegment": "",
"accessRights": [
{
"name": ""
}
]
}
],
"propertyGroups": [
{
"key": "",
"displayName": ""
}
],
"contentTypes": [
{
"displayName": "",
"accessRights": [
{
"name": ""
}
]
}
],
"displayTemplates": [
{
"displayName": ""
}
]
})
response = http.request(request)
puts response.read_body
python
import requests
import json
url = "/_cms/v1/manifest"
payload = json.dumps({
"locales": [
{
"key": "",
"displayName": "",
"routeSegment": "",
"accessRights": [
{
"name": ""
}
]
}
],
"propertyGroups": [
{
"key": "",
"displayName": ""
}
],
"contentTypes": [
{
"displayName": "",
"accessRights": [
{
"name": ""
}
]
}
],
"displayTemplates": [
{
"displayName": ""
}
]
})
headers = {
'accept': 'application/json',
'content-type': 'application/json'
}
response = requests.request("POST", url, headers=headers, data=payload)
print(response.text)
200
// OK
{
"outcomes": [
{
"section": "",
"message": "",
"resource": ""
}
],
"errors": [
{
"section": "",
"message": "",
"resource": ""
}
]
}202
// Accepted
400
// Bad Request
401
// Unauthorized
403
// Forbidden
409
// Conflict
500
// Internal Server Error